question

Kim Strasser avatar image
Kim Strasser asked

I get an error message when I want to update my PlayFab nuget package

I get the following error message in Visual Studio for Mac Community Version 8.10.25 (build 2).

Checking compatibility for PlayFabAllSDK 1.131.220804 with Xamarin.iOS,Version=v1.0.
Package PlayFabAllSDK 1.131.220804 is not compatible with xamarinios10 (Xamarin.iOS,Version=v1.0). Package PlayFabAllSDK 1.131.220804 supports: net5.0 (.NETCoreApp,Version=v5.0)

How can I update the PlayFab nuget package?

sdks
10 |1200

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

JayZuo avatar image
JayZuo answered

This issue should be fixed with CSharpSDK version 1.138.220926 and above. Please have try and let us know if there is any issue with the new version.

10 |1200

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

Xiao Zha avatar image
Xiao Zha answered

Thank you point out this issue. We've reported it to our engineering team. There is workaround you can have a try, you can manually download the C# PlayFab SDK then import the SDK source code into your project instead of install the PlayFabAllSDK package. You can also refer to this https://github.com/PlayFab/CSharpSDK/blob/master/XamarinGettingStarted.md.

10 |1200

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

Write an Answer

Hint: Notify or tag a user in this post by typing @username.

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

Error rendering WebPanel (widgets/consolidation-widget.ftl): org.hibernate.hql.internal.ast.QuerySyntaxException: AvailableConsolidation is not mapped [from AvailableConsolidation up where up.node = :node]